﻿//====================================================
// Описание работы классов и методов исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
// Автор исходных кодов Клочков Павел
//====================================================

using Microsoft.Data.SqlClient;

namespace ASPSQLEF.Common
{
    public class Constants
    {
        // TODO: Обязательное определение: 
        // - Путь к серверу MS SQL
        // - Название базы данных


        // Проверка подлинности Windows
        public static string SqlConnectionIntegratedSecurity
        {
            get
            {
                var sb = new SqlConnectionStringBuilder
                {
                    DataSource = "Путь к серверу MS SQL",
                    IntegratedSecurity = true,
                    InitialCatalog = "Название базы"
                };

                return sb.ConnectionString;
            }
        }


        // Проверка подлинности SQL Server
        public static string SqlConnectionSQLServer
        {
            get
            {
                var sb = new SqlConnectionStringBuilder
                {
                    DataSource = "Путь к серверу MS SQL",
                    IntegratedSecurity = false,
                    InitialCatalog = "Название базы",
                    UserID = "имя пользователя MS SQL",
                    Password = "Пароль"
                };

                return sb.ConnectionString;
            }
        }
    }
}
