﻿using ASPSQLEF.Common;
using Microsoft.EntityFrameworkCore;

//====================================================
// Описание работы классов и методов исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
// Автор исходных кодов Клочков Павел
//====================================================

namespace ASPSQLEF.Models
{
    public class SqlDBContext : DbContext
    {
        public DbSet<SubSection> SubSections/*Имя таблицы*/{ get; set; }
        public DbSet<Section> Sections/*имя таблицы*/{ get; set; }
        public DbSet<Science> Sciences/*имя таблицы*/{ get; set; }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseSqlServer(Constants.SqlConnectionSQLServer);
        }
    }
}
